#include <iostream>

using namespace std;

int main(){
	int n, m, k, res = 0;
	cin >> n >> m >> k;
	if(n * m % k == 0 && !(n * m % (k * 10) == 0))cout << (n * m) / (k * k);
	else{
		if (n > m && m * m % k == 0){
			res = (m * m) / (k * k);
			if(m % k > 0){
				res += (m / k) + 1;
			}else {
				res += m / k;
			}
		}else if (m > n && n * n % k == 0){
			res = (n * n) / (k * k);
			if(n % k > 0){
				res += (n / k) + 1;
			}else {
				res += n / k;
			}
		}else if (m == n){
			res = (n * n) / (k * k);
		}
		cout << res;
	}
}
